<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://feesManagementBrowseRevenue.caption"
        focusComponent="feesManagementsTable">
    <data readOnly="true">
        <collection id="feesManagementsDc"
                    class="com.company.management.entity.FeesManagement">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
                <property name="uom" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="feesManagementsDl">
                <query>
                    <![CDATA[select e from FeesManagement e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="feesManagementsTable" spacing="true">
        <filter id="filter"
                dataLoader="feesManagementsDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="feesManagementsTable"
                    width="100%"
                    dataContainer="feesManagementsDc" editable="true">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="type" caption="msg://Type of Fee"/>
                <column id="charge" caption="msg://Value" editable="true"/>
                <column id="uom" caption="UOM"/>
                <column id="active" editable="true"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="feesManagementsTable.create"/>
                <button id="editBtn" action="feesManagementsTable.edit"/>
                <button id="removeBtn" action="feesManagementsTable.remove"/>
            </buttonsPanel>
        </groupTable>

        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
        <hbox spacing="true" align="MIDDLE_RIGHT">
            <button id="saveRevenue" caption="msg://Save" action="feesManagementsTable.edit" css="background-color: #6f5cc3;color: #ffffff"/>
        </hbox>
    </layout>
</window>
